#ifndef RECEIPTSETTINGS_H
#define RECEIPTSETTINGS_H

#include <QObject>

class ShopSettings : public QObject
{
    Q_PROPERTY(QString output READ output WRITE setOutput)
    Q_PROPERTY(int lettersPerLine READ lettersPerLine WRITE setLettersPerLine)
    Q_PROPERTY(QString byMessage READ byMessage WRITE setByMessage)

    Q_OBJECT
public:

    enum CODEPAGE
    {
        ASCII
    };

    explicit ShopSettings(QObject *parent = 0);

    QString output() const;
    void setOutput(const QString &output);

    CODEPAGE codepage() const;
    void setCodepage(const CODEPAGE &codepage);

    int lettersPerLine() const;
    void setLettersPerLine(int lettersPerLine);

    QString byMessage() const;
    void setByMessage(const QString &byMessage);

private:
    QString m_output;
    CODEPAGE m_codepage;
    int m_lettersPerLine;
    QString m_byMessage;
};

typedef QSharedPointer<ShopSettings> ShopSettingsPtr;

#endif // RECEIPTSETTINGS_H
